Skip to main content
PATCH
Update a firewall rule

Authorizations

x-api-key
string
header
required

Long-lived API token created at https://vmarea.com/dashboard/settings/api-keys. Tokens are scope-restricted; this spec lists the scope each endpoint requires.

Path Parameters

id
string
required
ruleId
string
required

Body

application/json
position
integer
Required range: 0 <= x <= 1000
direction
enum<string>
Available options:
IN,
OUT
action
enum<string>
Available options:
ACCEPT,
DROP,
REJECT
protocol
enum<string>
Available options:
TCP,
UDP,
ICMP,
ESP,
GRE,
ANY
port
string | null
Maximum string length: 64
sourceIps
string[]
Maximum array length: 50
Maximum string length: 64
destIps
string[]
Maximum array length: 50
Maximum string length: 64
description
string | null
Maximum string length: 255

Response

Default Response

success
enum<boolean>
required
Available options:
true
data
object
required